Name:		cdemu-daemon
Version:	3.2.7
Summary:	Userspace daemon part of the CDemu suite
Release:	%mkrel 2
Group:		Emulators
License:	GPLv2+
URL:		https://cdemu.sourceforge.io/
Source0:	https://downloads.sourceforge.net/cdemu/%{name}-%{version}.tar.xz
Source1:	50-cdemud.rules
Source2:	README.1.4.0.upgrade.urpmi
BuildRequires:	pkgconfig(libmirage) >= 3.2.1
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(ao)
BuildRequires:	pkgconfig(libsysfs)
BuildRequires:	cmake
BuildRequires:	intltool
Requires:	kmod(vhba.ko)

%description
The daemon receives SCSI commands from kernel module and processes
them, passing the requested data back to the kernel.

Daemon implements the actual virtual device; one instance per each
device registered by kernel module. It uses libMirage, an image
access library that is part of userspace-cdemu suite, for the image
access (e.g. sector reading).

Daemon is controlled through methods that are exposed via D-BUS. It
is written in C and based on GLib (and thus GObjects), but being
controlled over D-BUS, it allows for different clients written in
different languages.

%prep
%autosetup -p1

cp %{SOURCE2} .

%build
%cmake
%cmake_build

%install
%cmake_install

install -d -m755 %{buildroot}%{_sysconfdir}/modules-load.d
install -d -m755 %{buildroot}/lib/udev/rules.d

echo "vhba" > %{buildroot}%{_sysconfdir}/modules-load.d/cdemud.conf

install %{SOURCE1} %{buildroot}/lib/udev/rules.d/50-cdemud.rules

install -Dp -m0644 service-example/%{name}.service %{buildroot}%{_userunitdir}/%{name}.service
install -Dp -m0644 service-example/net.sf.cdemu.CDEmuDaemon.service %{buildroot}%{_datadir}/dbus-1/services/net.sf.cdemu.CDEmuDaemon.service

%find_lang %{name}

%post
# remove old system-wide service
if [ -e %{_initrddir}/cdemud ]; then
	chkconfig --del cdemud
fi
# apply the new udev rule if module already present
/sbin/modprobe --first-time vhba 2>/dev/null || /sbin/udevadm trigger --sysname-match=vhba_ctl

%files -f %{name}.lang
%doc README AUTHORS README.1.4.0.upgrade.urpmi
%doc service-example/README.md
%{_sysconfdir}/modules-load.d/cdemud.conf
/lib/udev/rules.d/50-cdemud.rules
%{_bindir}/cdemu-daemon
%{_userunitdir}/%{name}.service
%{_datadir}/dbus-1/services/net.sf.cdemu.CDEmuDaemon.service
%{_mandir}/man8/cdemu-daemon.8*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 3.2.7-2.mga10
+ Revision: 2225430
- Mageia 10 Mass Rebuild

* Sun Aug 04 2024 daviddavid <daviddavid> 3.2.7-1.mga10
+ Revision: 2083606
- new version: 3.2.7

* Mon Jul 01 2024 daviddavid <daviddavid> 3.2.6-3.mga10
+ Revision: 2078637
- package the CDEmu daemon as DBus-activatable systemd user service (mga#33351)

* Mon Mar 27 2023 daviddavid <daviddavid> 3.2.6-2.mga9
+ Revision: 1950464
- move cdemud.conf from "/etc/modprobe.preload.d/" to "/etc/modules-load.d/" (mga#31634)

* Wed Nov 16 2022 daviddavid <daviddavid> 3.2.6-1.mga9
+ Revision: 1908203
- new version: 3.2.6

* Fri Apr 01 2022 umeabot <umeabot> 3.2.5-2.mga9
+ Revision: 1838946
- Mageia 9 Mass Rebuild

* Sat May 01 2021 daviddavid <daviddavid> 3.2.5-1.mga9
+ Revision: 1720764
- new version: 3.2.5

* Thu Feb 20 2020 umeabot <umeabot> 3.2.4-2.mga8
+ Revision: 1546252
- Mageia 8 Mass Rebuild

* Sat Feb 01 2020 daviddavid <daviddavid> 3.2.4-1.mga8
+ Revision: 1486188
- new version: 3.2.4
- use new cmake macros

* Fri Aug 30 2019 daviddavid <daviddavid> 3.2.3-1.mga8
+ Revision: 1435484
- new version: 3.2.3

* Wed Mar 06 2019 daviddavid <daviddavid> 3.2.2-1.mga7
+ Revision: 1371795
- new version: 3.2.2

* Sat Sep 22 2018 umeabot <umeabot> 3.2.1-2.mga7
+ Revision: 1296033
- Mageia 7 Mass Rebuild

* Fri Aug 17 2018 daviddavid <daviddavid> 3.2.1-1.mga7
+ Revision: 1252183
- new version: 3.2.1

* Sat Dec 02 2017 josh <josh> 3.1.0-1.mga7
+ Revision: 1180740
- Update to version 3.1.0

* Sat Nov 12 2016 daviddavid <daviddavid> 3.0.5-1.mga6
+ Revision: 1066721
- new version: 3.0.5

* Sun Oct 09 2016 daviddavid <daviddavid> 3.0.4-1.mga6
+ Revision: 1059788
- new version: 3.0.4

* Sat Feb 06 2016 umeabot <umeabot> 2.1.1-6.mga6
+ Revision: 940790
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.1.1-5.mga5
+ Revision: 748967
- Second Mageia 5 Mass Rebuild

* Wed Sep 24 2014 tmb <tmb> 2.1.1-4.mga5
+ Revision: 724160
- adapt to new kmod provides

* Tue Sep 16 2014 umeabot <umeabot> 2.1.1-3.mga5
+ Revision: 678332
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 2.1.1-2.mga4
+ Revision: 544604
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 anssi <anssi> 2.1.1-1.mga4
+ Revision: 499543
- new version 2.1.1

* Wed Jul 03 2013 fwang <fwang> 2.0.0-5.mga4
+ Revision: 449914
- rebuild for new mirage

* Fri Jan 11 2013 umeabot <umeabot> 2.0.0-4.mga3
+ Revision: 347502
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 mitya <mitya> 2.0.0-3.mga3
+ Revision: 339730
- Rebuild for _libexecdir

* Fri Dec 28 2012 mitya <mitya> 2.0.0-2.mga3
+ Revision: 335859
- Tweak udev rule to fix perms on /dev/vhba_ctl

* Fri Dec 28 2012 mitya <mitya> 2.0.0-1.mga3
+ Revision: 335810
- New version 2.0.0

* Tue Mar 06 2012 anssi <anssi> 1.5.0-1.mga2
+ Revision: 220431
- new version 1.5.0
- drop patches applied upstream

* Sat Dec 03 2011 anssi <anssi> 1.4.0-1.mga2
+ Revision: 175725
- new version 1.4.0
- rediff format-security.patch
- drop deprecated system bus support files, always use session bus
- switch to new upstream session bus wrapper, add upgrade urpmi README
  (default configuration modified, Mageia-default-configuration.patch)
- replace wrapper shell when starting cdemu to prevent extra process
  (replace-wrapper-shell-when-starting-cdemud.patch)
- keep the dbus wrapper under libdir
  (put-dbus-wrapper-scripts-in-libexecdir.patch)
- fix modprobe.preload.d config file name (fixes loading of vhba module
  on boot, bug #3468)

* Sat Jan 15 2011 anssi <anssi> 1.3.0-1.mga1
+ Revision: 19643
- imported package cdemu-daemon


* Sat Sep 04 2010 Anssi Hannula <anssi@mandriva.org> 1.3.0-1mdv2011.0
+ Revision: 575768
- new version
- replace initscript with a dbus service which starts a user-specific
  cdemud when its services are needed

* Sun Mar 28 2010 Funda Wang <fwang@mandriva.org> 1.2.0-2mdv2010.1
+ Revision: 528378
- rebuild

* Thu Dec 03 2009 Funda Wang <fwang@mandriva.org> 1.2.0-1mdv2010.1
+ Revision: 472918
- new version 1.2.0

* Thu Sep 10 2009 Thierry Vignaud <tv@mandriva.org> 1.1.0-2mdv2010.0
+ Revision: 436973
- rebuild

* Tue Jan 27 2009 Guillaume Bedot <littletux@mandriva.org> 1.1.0-1mdv2009.1
+ Revision: 334137
- Fix buildrequires
- require rpm-helper, chkconfig line
- Release 1.1.0

* Sat Apr 26 2008 Anssi Hannula <anssi@mandriva.org> 1.0.0-1.svn292.2mdv2009.0
+ Revision: 197782
- fix infinite recursion in initscript

* Wed Apr 23 2008 Anssi Hannula <anssi@mandriva.org> 1.0.0-1.svn292.1mdv2009.0
+ Revision: 197015
- initial Mandriva release

